i.mx6的相关问题

cancel
Showing results for 
Search instead for 
Did you mean: 

i.mx6的相关问题

112 Views
Contributor II

1:目前公司有个老的板子,内核是用的i.mx63.14.28的内核,现在有个应用程序想交叉编译再这个内核上运行。

2:要重新搭环境,目前不知道要哪些东西

还请多多指教,新人

0 Kudos
9 Replies

13 Views
Contributor II

你好

1:3.14.38的BSP,怎么找不到,现在想下载下来,

2:因为现在有个板子比较老,内核是3.14.38,但是现在需要在这个板上运行一个程序,所以想结合这个BSP进行交叉编译下

还请多多指教

0 Kudos

13 Views
NXP TechSupport
NXP TechSupport

不建议你用3.14.38这个版本的,你不一定能够编译成功,太老了估计会有一些包下载不下来。建议你选择新一些版本的BSP https://www.nxp.com/design/software/embedded-software/i-mx-software/embedded-linux-for-i-mx-applicat...

0 Kudos

13 Views
Contributor II

你的意思,是用最新的5.几的版本吗,如果用4.1.15的那?

0 Kudos

13 Views
NXP TechSupport
NXP TechSupport

对的,建议你用新的版本的BSP,老的版本有些包下载和编译可能会出错。4.1.15的也比较老了,你实在想用也行,就是会出现有些包下载不下来,你要去找。

0 Kudos

13 Views
Contributor II

好的,多谢哈

0 Kudos

13 Views
Contributor II

pastedImage_1.pngL5的最新的,但是,会出错,下面,难道是我的源用的不对?还请指教

pastedImage_2.png

0 Kudos

13 Views
NXP TechSupport
NXP TechSupport

https://community.nxp.com/docs/DOC-343758 你可以参考一下这个我同事写的文档。

0 Kudos

13 Views
Contributor II

1:自己设计的板子,i.mx6q6,

2:跑linux

现在是想在3.14.38的内核上跑一个应用程序,作为新人,现在想搭建交叉编译环境,目前使用的是UBUNTU18,应用程序保护OPENCV2的库。后面该怎么下手,交叉编译?还请大神多多指教

0 Kudos

13 Views
NXP TechSupport
NXP TechSupport

请问你这里使用的是i.MX6系列的哪块板子?你们自己设计的板子还是官网的开发板,板子上要跑Linux还是Android版本的BSP?

0 Kudos